"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _universalEnv = require("universal-env");

var _web = _interopRequireDefault(require("./web"));

var _miniapp = _interopRequireDefault(require("./miniapp"));

var WeexDriver = _interopRequireWildcard(require("./weex"));

var KrakenDriver = _interopRequireWildcard(require("./kraken"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var currentDriver;

if (_universalEnv.isWeex) {
  currentDriver = WeexDriver;
} else if (_universalEnv.isWeb) {
  currentDriver = _web["default"];
} else if (_universalEnv.isKraken) {
  currentDriver = KrakenDriver;
} else if (_universalEnv.isMiniApp || _universalEnv.isWeChatMiniProgram || _universalEnv.isByteDanceMicroApp) {
  currentDriver = _miniapp["default"];
}

var _default = currentDriver;
exports["default"] = _default;